Skip to main content
GET
List Validation Rules

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
page
integer

Which page of results to return. The lowest value is 1.

Required range: 1 <= x <= 100
order
enum<string>

This is a property that controls the sorting direction of the results. Sort the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at,
updated_at,
-updated_at,
name,
-name
start_date
string<date-time>

Timestamp representing the date and time which results must start on. Represented in ISO 8601 format.

Example:

"2023-12-22T10:13:06.487Z"

end_date
string<date-time>

Timestamp representing the date and time which results must end on. Represented in ISO 8601 format.

Example:

"2023-12-22T10:13:06.487Z"

Response

200 - application/json

Returns a dictionary of validation rules.

Response body schema for GET v1/validation-rules.

object
string
default:list
required

The type of the object represented by JSON. This object stores information about validation rules.

data_ref
string
default:data
required

Identifies the name of the attribute that contains the array of validation rules.

data
Validation Rule · object[]
required

An array of validation rules.

total
integer
required

Total number of validation rules in the project.

Last modified on April 2, 2026